Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.parsers
Class BasicParserConfiguration

    java.lang.Object
      weblogic.apache.xerces.util.ParserConfigurationSettings
          weblogic.apache.xerces.parsers.BasicParserConfiguration

All Implemented Interfaces:
  XMLComponentManager, XMLParserConfiguration

Direct Known Subclasses:
  DTDConfiguration, NonValidatingConfiguration

Deprecated. please use JDK supplied XML parsers and transformers

    public abstract class BasicParserConfiguration

extends ParserConfigurationSettings
implements XMLParserConfiguration

A very basic parser configuration. This configuration class can be used as a base class for custom parser configurations. The basic parser configuration creates the symbol table (if not specified at construction time) and manages all of the recognized features and properties.

The basic parser configuration does not mandate any particular pipeline configuration or the use of specific components except for the symbol table. If even this is too much for a basic parser configuration, the programmer can create a new configuration class that implements the `XMLParserConfiguration` interface.

Subclasses of the basic parser configuration can add their own recognized features and properties by calling the `addRecognizedFeature` and `addRecognizedProperty` methods, respectively.

The basic parser configuration assumes that the configuration will be made up of various parser components that implement the `XMLComponent` interface. If subclasses of this configuration create their own components for use in the parser configuration, then each component should be added to the list of components by calling the `addComponent` method. The basic parser configuration will make sure to call the `reset` method of each registered component before parsing an instance document.

This class recognizes the following features and properties:

- Features
  - http://xml.org/sax/features/validation
  - http://xml.org/sax/features/namespaces
  - http://xml.org/sax/features/external-general-entities
  - http://xml.org/sax/features/external-parameter-entities
- Properties
  - http://xml.org/sax/properties/xml-string
  - http://apache.org/xml/properties/internal/symbol-table
  - http://apache.org/xml/properties/internal/error-handler
  - http://apache.org/xml/properties/internal/entity-resolver

Field Summary
`protected static String` | `ENTITY_RESOLVER` Deprecated. Property identifier: entity resolver.
`protected static String` | `ERROR_HANDLER` Deprecated. Property identifier: error handler.
`protected static String` | `EXTERNAL_GENERAL_ENTITIES` Deprecated. Feature identifier: external general entities.
`protected static String` | `EXTERNAL_PARAMETER_ENTITIES` Deprecated. Feature identifier: external parameter entities.
`protected Vector` | `fComponents` Deprecated. Components.
`protected XMLDocumentHandler` | `fDocumentHandler` Deprecated. The document handler.
`protected XMLDTDContentModelHandler` | `fDTDContentModelHandler` Deprecated. The DTD content model handler.
`protected XMLDTDHandler` | `fDTDHandler` Deprecated. The DTD handler.
`protected XMLDocumentSource` | `fLastComponent` Deprecated. Last component in the document pipeline
`protected Locale` | `fLocale` Deprecated. Locale.
`protected SymbolTable` | `fSymbolTable` Deprecated. Symbol table.
`protected static String` | `NAMESPACES` Deprecated. Feature identifier: namespaces.
`protected static String` | `SYMBOL_TABLE` Deprecated. Property identifier: symbol table.
`protected static String` | `VALIDATION` Deprecated. Feature identifier: validation.
`protected static String` | `XML_STRING` Deprecated. Property identifier: xml string.

Fields inherited from class weblogic.apache.xerces.util.ParserConfigurationSettings
`fFeatures, fParentSettings, fProperties, fRecognizedFeatures, fRecognizedProperties`

Constructor Summary
`protected` | `BasicParserConfiguration()` Deprecated. Default Constructor.
`protected` | `BasicParserConfiguration(SymbolTable symbolTable)` Deprecated. Constructs a parser configuration using the specified symbol table.
`protected` | `BasicParserConfiguration(SymbolTable symbolTable, XMLComponentManager parentSettings)` Deprecated. Constructs a parser configuration using the specified symbol table and parent settings.

Method Summary
`protected void` | `addComponent(XMLComponent component)` Deprecated. Adds a component to the parser configuration.
`protected void` | `checkProperty(String propertyId)` Deprecated. Check a property.
`XMLDocumentHandler` | `getDocumentHandler()` Deprecated. Returns the registered document handler.
`XMLDTDContentModelHandler` | `getDTDContentModelHandler()` Deprecated. Returns the registered DTD content model handler.
`XMLDTDHandler` | `getDTDHandler()` Deprecated. Returns the registered DTD handler.
`XMLEntityResolver` | `getEntityResolver()` Deprecated. Return the current entity resolver.
`XMLErrorHandler` | `getErrorHandler()` Deprecated. Return the current error handler.
`Locale` | `getLocale()` Deprecated. Returns the locale.
`abstract void` | `parse(XMLInputSource inputSource)` Deprecated. Parse an XML document.
`protected void` | `reset()` Deprecated. reset all components before parsing
`void` | `setDocumentHandler(XMLDocumentHandler documentHandler)` Deprecated. Sets the document handler on the last component in the pipeline to receive information about the document.
`void` | `setDTDContentModelHandler(XMLDTDContentModelHandler handler)` Deprecated. Sets the DTD content model handler.
`void` | `setDTDHandler(XMLDTDHandler dtdHandler)` Deprecated. Sets the DTD handler.
`void` | `setEntityResolver(XMLEntityResolver resolver)` Deprecated. Sets the resolver used to resolve external entities.
`void` | `setErrorHandler(XMLErrorHandler errorHandler)` Deprecated. Allow an application to register an error event handler.
`void` | `setFeature(String featureId, boolean state)` Deprecated. Set the state of a feature.
`void` | `setLocale(Locale locale)` Deprecated. Set the locale to use for messages.
`void` | `setProperty(String propertyId, Object value)` Deprecated. setProperty

Methods inherited from class weblogic.apache.xerces.util.ParserConfigurationSettings
`addRecognizedFeatures, addRecognizedProperties, checkFeature, getFeature, getProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface weblogic.apache.xerces.xni.parser.XMLParserConfiguration
`addRecognizedFeatures, addRecognizedProperties, getFeature, getProperty`

Field Detail

### VALIDATION

    protected static final String VALIDATION

  Deprecated.
  Feature identifier: validation.

  See Also:
    Constant Field Values

### NAMESPACES

    protected static final String NAMESPACES

  Deprecated.
  Feature identifier: namespaces.

  See Also:
    Constant Field Values

### EXTERNAL_GENERAL_ENTITIES

    protected static final String EXTERNAL_GENERAL_ENTITIES

  Deprecated.
  Feature identifier: external general entities.

  See Also:
    Constant Field Values

### EXTERNAL_PARAMETER_ENTITIES

    protected static final String EXTERNAL_PARAMETER_ENTITIES

  Deprecated.
  Feature identifier: external parameter entities.

  See Also:
    Constant Field Values

### XML_STRING

    protected static final String XML_STRING

  Deprecated.
  Property identifier: xml string.

  See Also:
    Constant Field Values

### SYMBOL_TABLE

    protected static final String SYMBOL_TABLE

  Deprecated.
  Property identifier: symbol table.

  See Also:
    Constant Field Values

### ERROR_HANDLER

    protected static final String ERROR_HANDLER

  Deprecated.
  Property identifier: error handler.

  See Also:
    Constant Field Values

### ENTITY_RESOLVER

    protected static final String ENTITY_RESOLVER

  Deprecated.
  Property identifier: entity resolver.

  See Also:
    Constant Field Values

### fSymbolTable

    protected SymbolTable fSymbolTable

  Deprecated.
  Symbol table.

### fLocale

    protected Locale fLocale

  Deprecated.
  Locale.

### fComponents

    protected Vector fComponents

  Deprecated.
  Components.

### fDocumentHandler

    protected XMLDocumentHandler fDocumentHandler

  Deprecated.
  The document handler.

### fDTDHandler

    protected XMLDTDHandler fDTDHandler

  Deprecated.
  The DTD handler.

### fDTDContentModelHandler

    protected XMLDTDContentModelHandler fDTDContentModelHandler

  Deprecated.
  The DTD content model handler.

### fLastComponent

    protected XMLDocumentSource fLastComponent

  Deprecated.
  Last component in the document pipeline

Constructor Detail

### BasicParserConfiguration

    protected BasicParserConfiguration()

  Deprecated.
  Default Constructor.

### BasicParserConfiguration

    protected BasicParserConfiguration(SymbolTable symbolTable)

  Deprecated.
  Constructs a parser configuration using the specified symbol table.

  Parameters:
    `symbolTable` - The symbol table to use.

### BasicParserConfiguration

    protected BasicParserConfiguration(SymbolTable symbolTable,
                                       XMLComponentManager parentSettings)

  Deprecated.
  Constructs a parser configuration using the specified symbol table and parent settings.

  Parameters:
    `symbolTable` - The symbol table to use.
    `parentSettings` - The parent settings.

Method Detail

### addComponent

    protected void addComponent(XMLComponent component)

  Deprecated.
  Adds a component to the parser configuration. This method will also add all of the component's recognized features and properties to the list of default recognized features and properties.

  Parameters:
    `component` - The component to add.

### parse

    public abstract void parse(XMLInputSource inputSource)
                        throws XNIException,
                               IOException

  Deprecated.
  Parse an XML document.

  The parser can use this method to instruct this configuration to begin parsing an XML document from any valid input source (a character stream, a byte stream, or a URI).

  Parsers may not invoke this method while a parse is in progress. Once a parse is complete, the parser may then parse another XML document.

  This method is synchronous: it will not return until parsing has ended. If a client application wants to terminate parsing early, it should throw an exception.

  Specified by:
    `parse` in interface `XMLParserConfiguration`
  Parameters:
    `source` - The input source for the top-level of the XML document.
  Throws:
    `XNIException` - Any XNI exception, possibly wrapping another exception.
    `IOException` - An IO exception from the parser, possibly from a byte stream or character stream supplied by the parser.

### setDocumentHandler

    public void setDocumentHandler(XMLDocumentHandler documentHandler)

  Deprecated.
  Sets the document handler on the last component in the pipeline to receive information about the document.

  Specified by:
    `setDocumentHandler` in interface `XMLParserConfiguration`
  Parameters:
    `documentHandler` - The document handler.

### getDocumentHandler

    public XMLDocumentHandler getDocumentHandler()

  Deprecated.
  Returns the registered document handler.

  Specified by:
    `getDocumentHandler` in interface `XMLParserConfiguration`

### setDTDHandler

    public void setDTDHandler(XMLDTDHandler dtdHandler)

  Deprecated.
  Sets the DTD handler.

  Specified by:
    `setDTDHandler` in interface `XMLParserConfiguration`
  Parameters:
    `dtdHandler` - The DTD handler.

### getDTDHandler

    public XMLDTDHandler getDTDHandler()

  Deprecated.
  Returns the registered DTD handler.

  Specified by:
    `getDTDHandler` in interface `XMLParserConfiguration`

### setDTDContentModelHandler

    public void setDTDContentModelHandler(XMLDTDContentModelHandler handler)

  Deprecated.
  Sets the DTD content model handler.

  Specified by:
    `setDTDContentModelHandler` in interface `XMLParserConfiguration`
  Parameters:
    `handler` - The DTD content model handler.

### getDTDContentModelHandler

    public XMLDTDContentModelHandler getDTDContentModelHandler()

  Deprecated.
  Returns the registered DTD content model handler.

  Specified by:
    `getDTDContentModelHandler` in interface `XMLParserConfiguration`

### setEntityResolver

    public void setEntityResolver(XMLEntityResolver resolver)

  Deprecated.
  Sets the resolver used to resolve external entities. The EntityResolver interface supports resolution of public and system identifiers.

  Specified by:
    `setEntityResolver` in interface `XMLParserConfiguration`
  Parameters:
    `resolver` - The new entity resolver. Passing a null value will uninstall the currently installed resolver.

### getEntityResolver

    public XMLEntityResolver getEntityResolver()

  Deprecated.
  Return the current entity resolver.

  Specified by:
    `getEntityResolver` in interface `XMLParserConfiguration`
  Returns:
    The current entity resolver, or null if none has been registered.
  See Also:
    `BasicParserConfiguration.setEntityResolver(weblogic.apache.xerces.xni.parser.XMLEntityResolver)`

### setErrorHandler

    public void setErrorHandler(XMLErrorHandler errorHandler)

  Deprecated.
  Allow an application to register an error event handler.

  If the application does not register an error handler, all error events reported by the SAX parser will be silently ignored; however, normal processing may not continue. It is highly recommended that all SAX applications implement an error handler to avoid unexpected bugs.

  Applications may register a new or different handler in the middle of a parse, and the SAX parser must begin using the new handler immediately.

  Specified by:
    `setErrorHandler` in interface `XMLParserConfiguration`
  Parameters:
    `errorHandler` - The error handler.
  Throws:
    `NullPointerException` - If the handler argument is null.
  See Also:
    `BasicParserConfiguration.getErrorHandler()`

### getErrorHandler

    public XMLErrorHandler getErrorHandler()

  Deprecated.
  Return the current error handler.

  Specified by:
    `getErrorHandler` in interface `XMLParserConfiguration`
  Returns:
    The current error handler, or null if none has been registered.
  See Also:
    `BasicParserConfiguration.setErrorHandler(weblogic.apache.xerces.xni.parser.XMLErrorHandler)`

### setFeature

    public void setFeature(String featureId,
                           boolean state)
                    throws XMLConfigurationException

  Deprecated.
  Set the state of a feature. Set the state of any feature in a SAX2 parser. The parser might not recognize the feature, and if it does recognize it, it might not be able to fulfill the request.

  Specified by:
    `setFeature` in interface `XMLParserConfiguration`
  Overrides:
    `setFeature` in class `ParserConfigurationSettings`
  Parameters:
    `featureId` - The unique identifier (URI) of the feature.
    `state` - The requested state of the feature (true or false).
  Throws:
    `XMLConfigurationException` - If the requested feature is not known.

### setProperty

    public void setProperty(String propertyId,
                            Object value)
                     throws XMLConfigurationException

  Deprecated.
  setProperty

  Specified by:
    `setProperty` in interface `XMLParserConfiguration`
  Overrides:
    `setProperty` in class `ParserConfigurationSettings`
  Parameters:
    `propertyId` -
    `value` -
  Throws:
    `XMLConfigurationException` - Thrown if there is a configuration error.

### setLocale

    public void setLocale(Locale locale)
                   throws XNIException

  Deprecated.
  Set the locale to use for messages.

  Specified by:
    `setLocale` in interface `XMLParserConfiguration`
  Parameters:
    `locale` - The locale object to use for localization of messages.
  Throws:
    `XNIException` - Thrown if the parser does not support the specified locale.

### getLocale

    public Locale getLocale()

  Deprecated.
  Returns the locale.

  Specified by:
    `getLocale` in interface `XMLParserConfiguration`

### reset

    protected void reset()
                  throws XNIException

  Deprecated.
  reset all components before parsing

  Throws:
    `XNIException`

### checkProperty

    protected void checkProperty(String propertyId)
                          throws XMLConfigurationException

  Deprecated.
  Check a property. If the property is known and supported, this method simply returns. Otherwise, the appropriate exception is thrown.

  Overrides:
    `checkProperty` in class `ParserConfigurationSettings`
  Parameters:
    `propertyId` - The unique identifier (URI) of the property being set.
  Throws:
    `XMLConfigurationException` - If the requested feature is not known or supported.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD